SHA1.BasePBKDF2WithHmacSHA1 (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.digest

## Class SHA1.BasePBKDF2WithHmacSHA1

- java.lang.Object
- - javax.crypto.SecretKeyFactorySpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseSecretKeyFactory
    - - org.bouncycastle.jcajce.provider.digest.SHA1.BasePBKDF2WithHmacSHA1

- All Implemented Interfaces:
    PBE
  Direct Known Subclasses:
    SHA1.PBKDF2WithHmacSHA18BIT, SHA1.PBKDF2WithHmacSHA1UTF8
  Enclosing class:
    SHA1

      public static class SHA1.BasePBKDF2WithHmacSHA1
      extends BaseSecretKeyFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.bouncycastle.jcajce.provider.symmetric.util.PBE

      `PBE.Util`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseSecretKeyFactory

      `algName, algOid`

    - ### Fields inherited from interface org.bouncycastle.jcajce.provider.symmetric.util.PBE

      `GOST3411, MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S1_UTF8, PKCS5S2, PKCS5S2_UTF8, RIPEMD160, SHA1, SHA256, TIGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SHA1.BasePBKDF2WithHmacSHA1(java.lang.String name, int scheme)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseSecretKeyFactory

      `engineGetKeySpec, engineTranslateKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SHA1.BasePBKDF2WithHmacSHA1

          public SHA1.BasePBKDF2WithHmacSHA1(java.lang.String name,
                                     int scheme)

  - ### Method Detail

    - #### engineGenerateSecret

          protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                         throws java.security.spec.InvalidKeySpecException

      Overrides:
        `engineGenerateSecret` in class `BaseSecretKeyFactory`
      Throws:
        `java.security.spec.InvalidKeySpecException`